Block Methods
Retrieve confirmed and finalized block data, block commitment, and block production stats on Solana.
getBlock
POST - JSON-RPC
Returns identity and transaction information about a confirmed block.
params[0]integerrequiredSlot number (u64).
params[1]objectConfiguration object:
commitment(string) -finalizedorconfirmedencoding(string) -json,jsonParsed,base58,base64transactionDetails(string) -full,accounts,signatures,nonerewards(boolean) - include rewardsmaxSupportedTransactionVersion(integer) - max transaction version
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlock","params":[430,{"encoding":"json","maxSupportedTransactionVersion":0,"transactionDetails":"full","rewards":false}]}'getBlockTime
POST - JSON-RPC
Returns the estimated block time for a given block on the Solana blockchain.
params[0]integerrequiredBlock slot number (u64).
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlockTime","params":[5]}'getBlockCommitment
POST - JSON-RPC
Returns the commitment for a specific block, providing cluster stake voting information.
params[0]integerrequiredSlot number (u64).
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlockCommitment","params":[5]}'getBlockHeight
POST - JSON-RPC
Returns the current block height of the Solana blockchain node.
params[0]objectConfiguration object with optional commitment and minContextSlot.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlockHeight"}'getBlockProduction
POST - JSON-RPC
Returns recent block production information for the current or previous epoch.
params[0]objectConfiguration object:
commitment(string)identity(string) - filter by validator identityrange(object) -{ firstSlot, lastSlot }to limit range
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlockProduction"}'getBlocks
POST - JSON-RPC
Returns a list of confirmed blocks between two specified slots.
params[0]integerrequiredStart slot (u64).
params[1]integerEnd slot (u64, optional). Must be no more than 500,000 slots higher than start slot.
params[2]objectConfiguration object with optional commitment. Only finalized and confirmed are accepted.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlocks","params":[5,10]}'getBlocksWithLimit
POST - JSON-RPC
Returns a list of confirmed blocks starting from a slot up to a given limit.
params[0]integerrequiredStart slot (u64).
params[1]integerrequiredLimit (u64, max 500,000).
params[2]objectConfiguration object with optional commitment. Only finalized and confirmed are accepted.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getBlocksWithLimit","params":[5,3]}'